import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const XTimeline = /*@__PURE__*/ proxyCustomElement(class XTimeline extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '639bd5c3a411957793f90b366176286d157305cc' }, h("slot", { key: 'd5c422d0e908a45a7529baedf65ce5391d121686' }));
    }
}, [4, "x-timeline-header"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-timeline-header"];
    components.forEach(tagName => { switch (tagName) {
        case "x-timeline-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTimeline);
            }
            break;
    } });
}

const XTimelineHeader = XTimeline;
const defineCustomElement = defineCustomElement$1;

export { XTimelineHeader, defineCustomElement };
